%define name xanim
%define version 28010
%define prefix %{_prefix}

Summary: An X based viewer for many animation/video/audio file formats.
Name: %{name}
Version: %{version}
Release: 12mdk
Copyright: MIT
Group: Video
BuildRequires: XFree86-devel libjpeg-devel zlib-devel
Source: ftp://xanim.va.pubnix.com/xanim2801.tar.bz2
Source1: vid_cvid_2.0_linuxELFx86g21.tar.bz2
Source2: vid_cyuv_1.0_linuxELFx86g21.tar.bz2
Source3: vid_h261_1.0_linuxELFx86g21.tar.bz2
Source4: vid_h263_1.0_linuxELFx86g21.tar.bz2
Source5: vid_iv32_2.1_linuxELFx86g21.tar.bz2
Source6: vid_iv41_1.0_linuxELFx86g21.tar.bz2
Source7: vid_iv50_1.0_linuxELFx86g21.tar.bz2
Source8: http://freeyellow.com/members4/heroine/quicktime4linux-1.1.2.tar.bz2
Patch0: xanim27062-config.patch.bz2
Patch1: xanim27062-other.patch.bz2
Patch2: xanim27070-g2.1.patch.bz2
Patch3: xanim-loki.patch.bz2
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPreReq: XFree86-devel, libjpeg-devel, zlib-devel
Requires: libjpeg

%description
The XAnim program is an animation/video/audio viewer for the X Window System.
XAnim can display a large variety of animation, audio and video formats.

Install the xanim package if you need a viewer for an animation, video or audio
file.

%prep
%setup -q -n xanim2801
%setup -T -D -a 8 -n xanim2801

%ifarch i386 i486 i586 i686 k6 k7
%patch3 -p1 -b .loki
%endif

perl -p -i -e "s|/usr/local/xanim|/usr/X11R6/lib/xanim|" Makefile
perl -p -i -e "s|/usr/local/xanim|/usr/X11R6/lib/xanim|" Makefile.unx
perl -p -i -e "s|/usr/local/xanim|/usr/X11R6/lib/xanim|" Imakefile

%build
export PATH=/usr/X11R6/bin:$PATH:.
xmkmf
cd quicktime4linux
CFLAGS="$RPM_OPT_FLAGS" make
cd ..
make CDEBUGFLAGS="$RPM_OPT_FLAGS" INCDIR=/usr/X11R6/include/X11

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install 
cp docs/xanim.man .
make DESTDIR=$RPM_BUILD_ROOT install.man

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/xanim/mods
cd $RPM_BUILD_ROOT/usr/X11R6/lib/xanim/mods
for i in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7}; do
  tar xyf $i
done
strip vid_iv50*
mv -f *.readme $RPM_BUILD_ROOT/usr/X11R6/lib/xanim


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.loki docs/*
/usr/X11R6/bin/xanim
/usr/X11R6/man/man1/xanim.1x.bz2
/usr/X11R6/lib/xanim

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 28010-12mdk
- automatically added BuildRequires

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 28010-11mdk
- new groups
- cleaned up specfile with spec-helper in mind

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 28010-10mdk
- Don't apply loki patch with alpha.

* Fri Nov 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Oxygen.

* Sat Sep 18 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added export patch from Loki Games (http://www.lokigames.com/development/
  download/smjpeg/xanim2801-loki090899.tar.gz) for JPEG frames export.

* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- external modules should go to /usr/X11R6/lib/xanim/mods, otherwise they
  aren't recognized by xanim.

* Mon Jul 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.80.1
- Add all available modules (Indeo 5.0 etc)

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- built new codecs for glibc2.1

* Thu Nov 05 1998 Michael Maher <mike@redhat.com>
- added binary codecs to read other formats.

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- updated package

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
